<?xml version="1.0"?>

<entity-mappings xmlns="http://java.sun.com/xml/ns/persistence/orm" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence/orm http://java.sun.com/xml/ns/persistence/orm_1_0.xsd">
	<persistence-unit-metadata>
		<xml-mapping-metadata-complete/>
		<persistence-unit-defaults>
			<access>PROPERTY</access>
		</persistence-unit-defaults>
	</persistence-unit-metadata>
	<mapped-superclass class="com.minhnd.model.impl.CategoryModelImpl">
		<attributes>
			<id name="id">
				<column name="ID_" />
			</id>
			<basic name="name" />
			<basic name="image" />
			<basic name="description" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="com.minhnd.model.impl.CompanyModelImpl">
		<attributes>
			<id name="id">
				<column name="ID_" />
			</id>
			<basic name="name" />
			<basic name="image" />
			<basic name="description" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="com.minhnd.model.impl.EventModelImpl">
		<attributes>
			<id name="eventId" />
			<basic name="companyId" />
			<basic name="groupId" />
			<basic name="userId" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="description" />
			<basic name="date">
				<column name="DATE_" />
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="locationId" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="com.minhnd.model.impl.LocationModelImpl">
		<attributes>
			<id name="locationId" />
			<basic name="companyId" />
			<basic name="groupId" />
			<basic name="userId" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="description" />
			<basic name="streetAddress" />
			<basic name="city" />
			<basic name="stateOrProvince" />
			<basic name="country" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="com.minhnd.model.impl.SpeakerModelImpl">
		<attributes>
			<id name="id">
				<column name="ID_" />
			</id>
			<basic name="name" />
			<basic name="image" />
			<basic name="description" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<entity class="com.minhnd.model.impl.CategoryImpl" name="Category">
		<table name="eProject_Category" />
		<attributes />
	</entity>
	<entity class="com.minhnd.model.impl.CompanyImpl" name="Company">
		<table name="eProject_Company" />
		<attributes />
	</entity>
	<entity class="com.minhnd.model.impl.EventImpl" name="Event">
		<table name="eProject_Event" />
		<attributes />
	</entity>
	<entity class="com.minhnd.model.impl.LocationImpl" name="Location">
		<table name="eProject_Location" />
		<attributes />
	</entity>
	<entity class="com.minhnd.model.impl.SpeakerImpl" name="Speaker">
		<table name="eProject_Speaker" />
		<attributes />
	</entity>
</entity-mappings>